# Uses of Interface
javax.management.loading.ClassLoaderRepository

Packages that use ClassLoaderRepository
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.loading
Provides the classes which implement advanced dynamic loading.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

## Uses of ClassLoaderRepository in javax.management

Methods in javax.management that return ClassLoaderRepository
Modifier and Type
Method
Description
`ClassLoaderRepository`
MBeanServer.`getClassLoaderRepository()`
Return the ClassLoaderRepository for this MBeanServer.
`static ClassLoaderRepository`
MBeanServerFactory.`getClassLoaderRepository(MBeanServer server)`
Return the ClassLoaderRepository used by the given MBeanServer.

## Uses of ClassLoaderRepository in javax.management.loading

Methods in javax.management.loading with parameters of type ClassLoaderRepository
Modifier and Type
Method
Description
`Class<?>`
MLet.`loadClass(String name, ClassLoaderRepository clr)`
Deprecated, for removal: This API element is subject to removal in a future version.
Load a class, using the given `ClassLoaderRepository` if the class is not found in this MLet's URLs.

## Uses of ClassLoaderRepository in javax.management.modelmbean

Methods in javax.management.modelmbean that return ClassLoaderRepository
Modifier and Type
Method
Description
`protected ClassLoaderRepository`
RequiredModelMBean.`getClassLoaderRepository()`
Return the Class Loader Repository used to perform class loading.